Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		lesstif
Version:	0.95.0
Release:	2
Provides:	%{name}
License:	LGPL 
URL:		http://sourceforge.net/projects/lesstif/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The LessTif package contains an Open Source version of OSF/Motif(R).
# Requires:	xorg
# BuildRequires:	xorg-devel

%description
LessTif is a free (LGPL) clone of Motif (also known as OSF/Motif).
It is a set of widgets for developing graphical user interfaces.
Motif is the most widespread such widget set, supported by most commercial UNIX vendors.
LessTif is a free alternative. 
For more details see: http://sourceforge.net/projects/lesstif/

%package mwm
Summary: 	Lesstif Motif window manager clone based on fvwm
Group: 		System/Libraries
Requires: 	lesstif = %{version}-%{release}

%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%package clients
Summary: 	lesstif clients
Group: 		System/Libraries
Requires: 	lesstif = %{version}-%{release}

%description clients
Uil and xmbind.

%package devel
Group: 		System/Libraries
Summary: 	header files for Lesstif/Motif development
Requires: 	lesstif = %{version}-%{release}

%description devel
This package contains the lesstif header files
required to develop motif-based applications.
Package also contains development documentation in html (Lessdox), and
mxmkmf for Lesstif.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--bindir=%_bindir \
--libdir=%_libdir \
--mandir=%_mandir \
--includedir=%_includedir \
--enable-production \
--disable-dependency-tracking
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_prefix/LessTif $RPM_BUILD_ROOT%_datadir
install -d $RPM_BUILD_ROOT/etc/X11
ln -sf ../../usr/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm
rm -f $RPM_BUILD_ROOT%_mandir/man3/Shell.3*
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_datadir/LessTif
%_libdir/*.so.2.0.1
%_mandir/man1/lesstif.1*
%_mandir/man1/ltversion.1*
%_mandir/man5/VirtualBindings.5*

%files mwm
%defattr(-,root,root)
%doc clients/Motif-2.1/mwm/COPYING
%doc clients/Motif-2.1/mwm/README
%_bindir/mwm
%_sysconfdir/X11/mwm
%_libdir/X11/mwm
%config %_libdir/X11/mwm/*
%config %_libdir/X11/app-defaults/Mwm
%_mandir/man1/mwm.1*
%_mandir/man5/mwmrc.5*

%files clients
%defattr(-,root,root)
%doc doc/UIL.txt
%_bindir/uil
%_bindir/xmbind
%_mandir/man1/xmbind.1*
%_mandir/man1/uil.1*

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/mxmkmf
%_bindir/motif-config
%_mandir/man3/*.3*
%_datadir/aclocal
%_libdir/LessTif/config/LessTif.rules
%_libdir/LessTif/config/LessTif.tmpl
%_libdir/LessTif/config/host.def
%_libdir/*.so
%_libdir/*.so.2
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 20 2007 Christian Wasem <wasem@ccux-linux.de> 0.95.0-2
- rebuild (missing xorg and xorg-devel)
* Sun Jul 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.95.0-1
- version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 0.94.4-2
- Removed wrong Obsoletes Tag, comments, added Requires Tag for clean updates
* Sat Jul 09 2005 Christian Wasem <wasem@ccux-linux.de> 0.94.4-1
- update to Version 0.94.4
